# FTXUI: Screen::Cursor Struct Reference

Loading...
Searching...
No Matches
Screen::Cursor Struct Reference

`#include <screen.hpp>`

## Public Types

enum | Shape { Hidden = 0 , BlockBlinking = 1 , Block = 2 , UnderlineBlinking = 3 , Underline = 4 , BarBlinking = 5 , Bar = 6 }

## Public Attributes

int | x = 0
int | y = 0
Shape | shape = Hidden

## Detailed Description

Definition at line 50 of file screen.hpp.

## Member Enumeration Documentation

## Shape

enum Shape

Enumerator
Hidden |
BlockBlinking |
Block |
UnderlineBlinking |
Underline |
BarBlinking |
Bar |

Definition at line 54 of file screen.hpp.

## Member Data Documentation

## x

int x = 0

Definition at line 51 of file screen.hpp.

## y

int y = 0

Definition at line 52 of file screen.hpp.

## shape

Shape shape = Hidden

Definition at line 63 of file screen.hpp.

The documentation for this struct was generated from the following file:

- screen.hpp